Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Pivotal Spring PATCH Request Remote Code Execution (CVE-2017-8046)

Check Point Reference: CPAI-2017-0924
Date Published: 9 Nov 2017
Severity: Critical
Last Updated: Thursday 09 November, 2017
Source:
Industry Reference:CVE-2017-8046
Protection Provided by:

Security Gateway
R81, R80, R77, R75

Who is Vulnerable? Spring Data REST versions prior to 2.5.12, 2.6.7, 3.0 RC3
Spring Boot versions prior to 2.0.0M4
Spring Data release trains prior to Kay-RC3
Vulnerability Description A remote code execution vulnerability exists in Pivotal Spring Data REST. The vulnerability is due to insufficient validation of user supplied input. A remote attacker can exploit this vulnerability to execute arbitrary code on the affected server.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Pivotal Spring PATCH Request Remote Code Execution (CVE-2017-8046) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Web Server Enforcement Violation.
Attack Information:  Pivotal Spring PATCH Request Remote Code Execution (CVE-2017-8046)

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO